close all
itload('../../pmsm_sim.it')
figure(1);
for i =1:4
	subplot(4,1,i)
	plot(xth(:,i)')
end

figure(2)
for i=1:4
	subplot(4,1,i)
	plot(xth(:,i)')
	hold on;
	plot(xthE(:,i)','r')
	plot(xthM(:,i+2)','g')
%	plot(xthV(i,:)','m');
end

figure(3)
for i=1:2
	subplot(2,1,i)
	plot(xthM(:,i)')
end


% figure(3)
% ndat = size(ll,2);
% hold off
% plot(llgrid,ll(:,floor(ndat/3)),':');
% hold on
% plot(llgrid,ll(:,floor(2*ndat/3)),'--');
% plot(llgrid,ll(:,ndat));